Mailinglist Archive: opensuse-support (91 mails)

< Previous Next >
Re: [opensuse-support] question about ldd
On 2018-09-24 13:16, Simon Lees wrote:
very rairly done in the linux world,

Well. You're probably right for the rest of the Linux world but not for this one.

As FAHView needs libssl and libcrypto

$ strace -o /tmp/FAHViewer FAHViewer& sleep 10;kill `pidof FAHViewer`;egrep -i -c -e ssl -e crypto /tmp/FAHViewer
0

Not a trace of libssl or libcrypto.


As for the rest of the dynamic linked libs:
$ egrep -i -c -e "openat\(AT_FDCWD, \"/usr/lib64/" /tmp/FAHViewer
33

especially with things like ssl > if you are using something with a
statically linked version of ssl, it almost certainly has security
vulnerabilities, unless they are rebuilding the app everytime an ssl
security bug comes out which is often.

Yes. I agree. But that's not the issue here. This was how to get the F@H going.

Cheers,


--
/bengan
--
To unsubscribe, e-mail: opensuse-support+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-support+owner@xxxxxxxxxxxx

< Previous Next >